Class | Bio::GenPept
In: | lib/bio/db/genbank/genpept.rb
Parent: | NCBIDB

### Methods

aalen aaseq circular date dbsource division entry_id length locus seq seq_len

### Included Modules

Bio::NCBIDB::Common

### Classes and Modules

Class Bio::GenPept::Locus

### Public Instance methods

aalen()

Alias for length

aaseq()

Alias for seq

circular()

[Source]

        # File lib/bio/db/genbank/genpept.rb, line 35
    35:   def circular;         locus.circular;                end

date()

[Source]

        # File lib/bio/db/genbank/genpept.rb, line 37
    37:   def date;             locus.date;                end

dbsource()

DBSOURCE

[Source]

        # File lib/bio/db/genbank/genpept.rb, line 55
    55:   def dbsource
    56:     get('DBSOURCE')
    57:   end

division()

[Source]

        # File lib/bio/db/genbank/genpept.rb, line 36
    36:   def division;         locus.division;                end

entry_id()

[Source]

        # File lib/bio/db/genbank/genpept.rb, line 33
    33:   def entry_id;         locus.entry_id;                end

length()

[Source]

        # File lib/bio/db/genbank/genpept.rb, line 34
    34:   def length;           locus.length;            end

locus()

[Source]

        # File lib/bio/db/genbank/genpept.rb, line 30
    30:   def locus
    31:     @data['LOCUS'] ||= Locus.new(get('LOCUS'))
    32:   end

seq()

ORIGIN

[Source]

        # File lib/bio/db/genbank/genpept.rb, line 41
    41:   def seq
    42:     unless @data['SEQUENCE']
    43:       origin
    44:     end
    45:     Bio::Sequence::AA.new(@data['SEQUENCE'])
    46:   end

seq_len()

[Source]

        # File lib/bio/db/genbank/genpept.rb, line 50
    50:   def seq_len
    51:     seq.length
    52:   end

[Validate]